$(document).ready(function () {

    //Sidebar Accordion Menu:

    $("#main-nav li ul").hide(); // Hide all sub menus
    $("#main-nav li a.current").parent().find("ul").slideToggle("slow"); // Slide down the current menu item's sub menu

    $("#main-nav li a.nav-top-item").click( // When a top menu item is clicked...
			function () {
			    $(this).parent().siblings().find("ul").slideUp("normal"); // Slide up all sub menus except the one clicked
			    $(this).next().slideToggle("normal"); // Slide down the clicked sub menu
			    return false;
			}
		);

    $("#main-nav li a.no-submenu").click( // When a menu item with no sub menu is clicked...
			function () {
			    var target = $(this).attr("target");
			    var url = $(this).attr("href");
			    if (target != '_blank') window.location.href = url; // Just open the link instead of a sub menu
			    else window.open(url, target);
			    return false;
			}
		);

    // Sidebar Accordion Menu Hover Effect:

    $("#main-nav li .nav-top-item").hover(
			function () {
			    $(this).stop().animate({ paddingRight: "25px" }, 200);
			},
			function () {
			    $(this).stop().animate({ paddingRight: "15px" });
			}
		);

    //Minimize Content Box

    $("#main-content .content-box-header h3").css({ "cursor": "s-resize" }); // Give the h3 in Content Box Header a different cursor
    $("#main-content .closed-box .content-box-content").hide(); // Hide the content of the header if it has the class "closed"
    $("#main-content .closed-box .content-box-tabs").hide(); // Hide the tabs in the header if it has the class "closed"

    $("#main-content .content-box-header h3").click( // When the h3 is clicked...
			function () {
			    $(this).parent().next().toggle(); // Toggle the Content Box
			    $(this).parent().parent().toggleClass("closed-box"); // Toggle the class "closed-box" on the content box
			    $(this).parent().find(".content-box-tabs").toggle(); // Toggle the tabs
			}
		);


    // Content box tabs:
    $('#main-content .content-box .content-box-content div.tab-content').hide(); 
    $('#main-content ul.content-box-tabs li a.default-tab').addClass('current');
    $('#main-content .content-box-content div.default-tab').show(); 

    $('#main-content .content-box ul.content-box-tabs li a').click( 
			function () {
			    var currentTab = $(this).attr('href'); 
			    if (currentTab.indexOf('#') == 0) {
			        $(this).parent().siblings().find("a").removeClass('current');
			        $(this).addClass('current'); 
			        $(currentTab).siblings().hide();
			        $(currentTab).show(); 
			        return false;
			    }
			}
		);

    //Close button:

    $("#main-content .close").click(
			function () {
			    $(this).parent().fadeTo(400, 0, function () { // Links with the class "close" will close parent
			        $(this).slideUp(400);
			    });
			    return false;
			}
		);

    $('#main-content tbody tr:odd').addClass("alt-row"); // Add class "alt-row" to even table rows

});

function setTitle(title) {
    document.title = title;
    $("#htmlContent").find("h3:first").text(title);
}
  
  